Cyberduck Mountain Duck CLI

#21 closed enhancement (fixed)

Copying between servers

Reported by: ryan.faerman@… Owned by: dkocher
Priority: normal Milestone: 3.7
Component: core Version: 2.6.2
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.6

Description

I think it would be both cool and useful, if the user could drag between FTP windows, each connected to different servers. I would imagine that the file would be downloaded to a temp DIR then uploaded again, but what would i know.

Change History (36)

comment:1 Changed on Dec 14, 2005 at 11:31:16 PM by dkocher

  • Status changed from new to assigned

comment:2 Changed on Dec 20, 2005 at 12:27:06 PM by dkocher

  • Type changed from defect to enhancement

comment:3 Changed on Jan 31, 2006 at 10:19:24 PM by dkocher

  • Milestone changed from 2.6 to 2.7

comment:4 Changed on Feb 13, 2006 at 2:16:53 PM by dkocher

  • Summary changed from drag between servers to Copy files between servers

comment:5 Changed on May 15, 2006 at 12:18:56 PM by dkocher

FXP might also be of interest.

comment:6 Changed on May 27, 2006 at 1:37:46 AM by dkocher

  • Milestone 2.7 deleted

Milestone 2.7 deleted

comment:7 Changed on Jun 22, 2006 at 10:51:59 AM by dkocher

  • Milestone 2.5.1 deleted

comment:8 Changed on Aug 9, 2006 at 12:12:20 PM by anonymous

Yes, FXP support would be highly appreciated!

comment:9 Changed on Oct 14, 2006 at 10:02:22 PM by tangorn

  • Component changed from core to ftp
  • Priority changed from normal to highest
  • Version changed from 2.5.2 to 2.6.2

working fxp will be nice

comment:10 Changed on Dec 11, 2006 at 1:58:49 PM by dkocher

  • Priority changed from highest to normal
  • Summary changed from Copy files between servers to FXP support

comment:12 Changed on Jan 20, 2007 at 3:18:34 AM by endlessfight

I would absolutely LOVE to see this implemented.

I'm not sure what underlying FTP interface Cyberduck is using, but LFTP (available through DarwinPorts, or the official site here: http://lftp.yar.ru/) supports FXP as well as TLS/SSL so perhaps it could be used and/or modified to fit the job.

comment:13 follow-up: Changed on Feb 9, 2008 at 11:35:44 PM by zacwitte

I just want to add support for this feature. Its really quite important for me.

comment:14 in reply to: ↑ 13 Changed on Feb 23, 2008 at 3:47:23 PM by anonymous

Replying to zacwitte:

I just want to add support for this feature. Its really quite important for me.

me too

comment:15 Changed on Feb 28, 2008 at 9:52:50 PM by dkocher

  • Milestone set to 2.9

comment:16 Changed on Mar 26, 2008 at 11:46:26 PM by dkocher

  • Milestone 3.0 deleted

comment:17 Changed on Apr 7, 2008 at 8:27:29 AM by dkocher

  • Milestone set to 3.1

comment:18 Changed on Jul 20, 2008 at 10:58:22 PM by dkocher

  • Milestone changed from 3.0.2 to 3.1

comment:19 Changed on Nov 26, 2008 at 10:04:04 AM by technimad

This feature would really help me. Real FXP (direct server to server copy) isn't necesarry, working with a local temp dir to automatically download from server 1 and upload to server 2 would be ok!

comment:20 Changed on Apr 13, 2009 at 2:31:27 PM by dkocher

  • Milestone changed from 3.2 to 3.3

Milestone 3.2 deleted

comment:20 Changed on Sep 9, 2009 at 7:43:08 PM by spamalot

I've been waiting for this feature for years. I sure hope it gets done someday.

comment:21 Changed on Oct 13, 2009 at 8:55:02 AM by Tom <tomzevel@…>

any news on this feature?

comment:22 Changed on Jan 6, 2010 at 9:04:22 AM by dkocher

#4058 closed as duplicate.

comment:23 Changed on Jan 6, 2010 at 9:04:34 AM by dkocher

#4059 closed as duplicate.

comment:24 Changed on Jan 11, 2010 at 8:55:54 AM by mini

While FXP certainly will be an useful feature, I (and several others it appears from the ticket) would like it to support drag 'n' drop between servers of different kinds (more generally than FXP), e.g. between SFTP and S3. Doing it by using a temporary directory would be fine, I primary just want to minimize the work done in order to copy/move files between servers.

comment:25 Changed on Jan 17, 2010 at 1:42:38 AM by dkocher

  • Milestone changed from 3.4.1 to 3.5

comment:26 Changed on Feb 5, 2010 at 9:00:16 AM by yla

#4183 closed as duplicate

comment:27 Changed on Apr 5, 2010 at 12:42:53 PM by stefan AT blrp DOT org

Do we have any estimated delivery date on this? Thanks!

comment:28 Changed on Apr 9, 2010 at 1:25:46 PM by yla

  • Platform set to Mac OS X 10.6

#4368 closed as duplicate.

comment:29 Changed on Apr 12, 2010 at 5:55:04 AM by yla

#4391 closed as duplicate.

comment:30 Changed on Apr 25, 2010 at 3:52:07 PM by Timidfriendly

Yeah this is something very useful!

comment:31 Changed on May 18, 2010 at 9:56:03 AM by dkocher

  • Milestone changed from 3.5 to 3.6

comment:32 Changed on Jul 27, 2010 at 4:55:15 PM by dkocher

  • Component changed from ftp to core
  • Summary changed from FXP support to Copying between servers

We are no more looking into FXP but copying support between browser windows regardless of the protocol.

comment:33 Changed on Aug 4, 2010 at 3:34:54 PM by dkocher

  • Milestone changed from 3.6 to 4.1

comment:34 Changed on Aug 30, 2010 at 3:58:38 PM by http://kimiwei.myopenid.com/

I concur with the technology not being an issue. The copying between browser windows is a feature really important to me though. Do you have a projected date for availability?

comment:35 Changed on Sep 18, 2010 at 4:39:04 PM by dkocher

Some work in r7015.

comment:36 Changed on Oct 5, 2010 at 4:39:01 PM by dkocher

  • Milestone changed from 4.1 to 3.6.2
  • Resolution set to fixed
  • Status changed from assigned to closed

In r7222.

Note: See TracTickets for help on using tickets.
swiss made software